:root {
  --font-color: #20303c;
  --code-color: #f7f7f7;

  /*light grey*/
  --font-lighter-color: #a3b1ac;

  /*grey*/
  --font-light-color: #43515c;

  /*blue*/
  --font-colored-color: #4aa1ea;

  --font-size: 16px;
  --font-code-size: 16px;
  --font-small-size: 14px;
  --font-heading-size: 24px;
  --font-nav-size: 14px;
  --font-date-size: 14px;

  --font-bolder-weight: 600;
  --font-bold-weight: 500;
  --font-heading-weight: 400;
}

.colored {
  color: var(--font-colored-color) !important;
}
.dark {
  color: var(--font-color) !important;
}
.light {
  color: var(--font-light-color) !important;
}
.lighter {
  color: var(--font-lighter-color) !important;
}
.no-padding-left {
  padding-left: 0;
}

body {
  background-color: white;
  color: var(--font-color);
  line-height: 1.6;
  font-weight: 400;
  font-family: 'Open Sans', 'Helvetica Neue', 'Arial', sans-serif;
  font-size: var(--font-size);
  max-width: 658px;
}

/* nav */
.en-footer {
  padding-top: 50px;
}

section.top nav {
  color: var(--font-color);
  font-size: var(--font-nav-size);
  font-weight: var(--font-bold-weight);
}

section.top nav span {
  display: inline-block;
  margin: 0 8px;
}

hr.top-line-en {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid var(--font-lighter-color);
    margin: 8px 0;
    padding: 0;
}

hr.top-line {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid var(--font-lighter-color);
    margin: 13px 0;
    padding: 0;
}

section {
  text-align: center;
}

#home {
  max-width: 500px;
  margin-top: 50px;
  line-height: 30px;
}

#home div {
  margin-bottom: 15px;
}

#home .logo {
  float: right;
  margin-top: -21px;
}

#home .text {
  margin: 0 20px;
}

#container {
  max-width: 736px;
  margin: 0 auto;
}

.header {
  margin-top: 3rem;
  text-align: center;
  padding-top: 20px;
  padding-bottom: 60px;
}

.header .button-wrap {
  margin-top: 15px;
}

a {
  color: var(--font-color);
  text-decoration: none;
}

a:hover {
  color: var(--font-color);
  border: 0px;
}

.article a {
  border-bottom: 2px solid var(--font-lighter-color);
  -webkit-transition: border-bottom-color 0.1s cubic-bezier(0.47, 0, 0.75, 0.72);
  -moz-transition: border-bottom-color 0.1s cubic-bezier(0.47, 0, 0.75, 0.72);
  -ms-transition: border-bottom-color 0.1s cubic-bezier(0.47, 0, 0.75, 0.72);
  -o-transition: border-bottom-color 0.1s cubic-bezier(0.47, 0, 0.75, 0.72);
}

.article p {
  margin-bottom: 1.3rem
}

.article a:hover {
  border-bottom-color: var(--font-color);
}

/*overriding sakura.css <ul> margin-bottom*/
.article img {
  margin-bottom: 0;
}

/*overriding sakura.css <ul> margin-bottom*/
.article :is(ul, ol) {
  margin-bottom: 0;
}

.article > :is(ul, ol) {
  margin-bottom: 2.5rem;
}

section.header .name {
  font-size: 28px;
  font-family: 'Helvetica Neue', 'Arial', sans-serif;
  letter-spacing: -0.005rem;
  font-weight: var(--font-bold-weight);
  font-smoothing: antialiased;
  color: var(--font-color);
  text-transform: uppercase;
}

.container .page-heading {
  font-size: var(--font-heading-size);
  font-weight: var(--font-heading-weight);
  font-family: 'Helvetica Neue', 'Arial', sans-serif;
  margin-bottom: 2.6rem;
}

/* icons */
section.icons {
  background-color: transparent;
}
section.icons .container {
  -webkit-align-items: center;
  -moz-align-items: center;
  -ms-align-items: center;
  align-items: center;
  -webkit-justify-content: center;
  -moz-justify-content: center;
  -ms-justify-content: center;
  justify-content: center;
}
section.icons .content {
  width: auto;
}
section.icons .content a {
  border: 0px;
  margin-left: 3px;
  margin-right: 3px;
  opacity: 0.6;
  -webkit-transition: opacity 0.1s cubic-bezier(0.47, 0, 0.75, 0.72);
  -moz-transition: opacity 0.1s cubic-bezier(0.47, 0, 0.75, 0.72);
  -ms-transition: opacity 0.1s cubic-bezier(0.47, 0, 0.75, 0.72);
  -o-transition: opacity 0.1s cubic-bezier(0.47, 0, 0.75, 0.72);
}
section.icons .content a:first-child {
  margin-left: 0;
}
section.icons .content a:last-child {
  margin-right: 0;
}
section.icons .content a:hover {
  opacity: 0.8;
}
section.icons .content a .icon {
  width: 18px;
  height: 18px;
}
section.icons .content a .flag {
  border-radius: 50%;
}

/* list */
.container.list .content .post-item {
  list-style: none;
  line-height: 1.3em;
}

.container.list .content a:hover {
  color: var(--font-light-color);
}

.container.list .content .post-item .meta {
  color: var(--font-light-color);
  font-size: var(--font-date-size);
  float: right;
}

@media (max-width: 600px) {
  /* mobile */
  .container.list .content .post-item {
    display: block;
    margin-bottom: 1em;
  }
  .container.list .content .post-item .meta {
    display: block;
    float: none;
  }

  #home .logo {
    margin-right: -20px;
    margin-left: -30px;
  }
}

/* signup */

section.signup input {
  border-radius: 0;
  height: 34px;
  font-size: 14px;
  line-height: 14px;
  background-color: white;
}
section.signup .email {
  transition: ease all .4s;
}
section.signup .email:focus {
  border-color: var(--font-lighter-color);
}

section.signup .subscribe.button {
  vertical-align: top;
  font-weight: 400;
  background-color: #fafafa;
  color: var(--font-light-color);
  border-left: 0;
}

section.signup .subscribe.button:hover {
  border-color: var(--font-lighter-color);
}

section.signup input {
  border: 1px solid #D1D1D1
}

section.icons {
  padding-top: 20px;
}

@media (min-width: 600px) {
  /* desktop */
  section.signup {
    padding-top: 40px;

  }
  section.signup .email {
    font-size: 14px;
    width: 200px;
  }

  section.signup form, input {
    margin-bottom: 0;
  }

  .signup input[type="submit"] {
    padding: 0 30px;
  }
}

input {
    -webkit-appearance: none;
}

/* overriding sakura */
h1, h2, h3 {
  margin-bottom: 2.6rem;
}

h4, h5, h6 {
  margin-bottom: 2.3rem;
  color: var(--font-lighter-color);
}

pre {
  background-color: white;
  padding: 0.3em;
}

input[type], code {
  background-color: var(--code-color);
}

code {
  padding: 0 0.3em;
  font-size: 1.0em;
}

pre > code.hljs {
  background: var(--code-color);
}

blockquote {
  border-left: 4px solid var(--font-color);
}

h3 {
  font-size: 1.4em;
  font-weight: var(--font-bold-weight);
}

h4 {
  font-size: 1.1em;
  color: var(--font-light-color);
  font-weight: var(--font-bold-weight);
}

h3 code, h4 code {
  padding: 0;
  background-color: transparent;
}
